<?php
require 'db.php';
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: GET");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

$table_count = $db_handle->numRows("select * from table_list");
$waiter_count = $db_handle->numRows("select * from users where role = '1' ");
$today_complete_order = $db_handle->numRows("select * from billing where bill_date = '".date('d-m-Y')."' ");
$today_total_order = $db_handle->numRows("select * from orders where order_date ='".date('Y-m-d')."' GROUP BY order_id ");
$today_current_order = $db_handle->numRows("select * from orders where order_date ='".date('Y-m-d')."' && status = 'current' GROUP BY order_id ");
$bill_rec = $db_handle->runQuery("select * from billing where bill_date = '".date('d-m-Y')."' ");
$bill_amount = 0;

foreach($bill_rec as $row)
{
    $amount= str_replace( ',', '', $row['net_amount'] );
    $total_amount += $amount;
}
    echo json_encode(array(
    "status" => "success",
    "data" => array(
        "table_count" => $table_count,
        "waiter_count" => $waiter_count,
        "today_total_order" => $today_total_order,
        "today_current_order" => $today_current_order,
        "today_complete_order" => $today_complete_order,
        "today_bill_amount" => number_format($total_amount,2)
        )
     ));
    http_response_code(200);

?>